This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502352 - Review Request: php-markdown - Markdown implementation in PHP
Review Request: php-markdown - Markdown implementation in PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-24 08:18 EDT by Rakesh Pandit
Modified: 2013-03-23 14:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0.1m-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 01:30:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
giallu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-05-24 08:18:38 EDT
SPEC: http://rakesh.fedorapeople.org/spec/php-markdown.spec
SRPM: http://rakesh.fedorapeople.org/srpm/php-markdown-1.0.1m-1.fc10.src.rpm


Description:
This is a PHP implementation of John Gruber's Markdown. This is a
Python implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation.

It is required for laconica.
Comment 1 Gianluca Sforna 2009-05-24 11:06:49 EDT
Few items to check:

* rpmlint is not clean:

rpmlint /var/lib/mock/fedora-10-x86_64/result/php-markdown-1.0.1m-1.fc10.src.rpm 
php-markdown.src:20: W: setup-not-quiet
php-markdown.src: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 1)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

add -q to the %setup line and file the tab/space issue


* php and unzip are not needed to build, php can stay as a Require: tough

* you may consider using the "install" command instead of mkdir+cp

the last one is not a "must".

Fix the first two items and I think I can approve the package
Comment 3 Gianluca Sforna 2009-05-24 16:02:51 EDT
Review:

* package name follows naming guidelines
* License (BSD) is good and matches actual one
* License text is present and correctly packaged
* sources matches upstream ( MD5 0111093efcb81e455e7bbd959d4cff54 )
* rpmlint is silent
* build fine in mock for F10

APPROVED

just a couple of final remarks.

Since you included the non numeric part in the version field, please pay attention to future upgrades and use rpmdev-vercmp to check if the upgrade path is correct.

There are worpress refernces in the code. I don't know if this is included/used by default in WP, but if this is the case the WP maintainer should be requiring this package instead. It would be nice if you discuss with him about the issue
Comment 4 Rakesh Pandit 2009-05-24 19:16:34 EDT
PHP Markdown can work as a optional plug-in for Wordpress. I will inform maintainer.

Thanks!

New Package CVS Request
=======================
Package Name: php-markdown
Short Description: Markdown implementation in PHP
Owners: rakesh
Branches: F-9 F-10 F-11
InitialCC:
Cvsextras Commits: yes
Comment 5 Jason Tibbitts 2009-05-26 18:07:29 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-08 01:23:38 EDT
php-markdown-1.0.1m-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-markdown-1.0.1m-2.fc9
Comment 7 Fedora Update System 2009-06-08 01:24:00 EDT
php-markdown-1.0.1m-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-markdown-1.0.1m-2.fc10
Comment 8 Fedora Update System 2009-06-08 01:24:37 EDT
php-markdown-1.0.1m-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-markdown-1.0.1m-2.fc11
Comment 9 Fedora Update System 2009-07-03 15:36:13 EDT
php-markdown-1.0.1m-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-03 15:42:19 EDT
php-markdown-1.0.1m-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-03 15:44:40 EDT
php-markdown-1.0.1m-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Gwyn Ciesla 2013-02-22 11:50:13 EST
Remi, I need an EL-6 branch for php-markdown.  I'm willing to maintain it if you'd rather not.  Also, I see it's orphaned in f18 and f17, do you want those or should I pick it up?
Comment 13 Remi Collet 2013-02-26 06:50:41 EST
Package Change Request
======================
Package Name: php-markdown
New Branches: el5 el6
Owners: remi
Comment 14 Gwyn Ciesla 2013-02-27 09:20:30 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2013-02-27 13:37:56 EST
php-markdown-1.0.1p-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-markdown-1.0.1p-1.el6
Comment 16 Fedora Update System 2013-02-27 13:38:11 EST
php-markdown-1.0.1p-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-markdown-1.0.1p-1.el5
Comment 17 Fedora Update System 2013-03-23 14:16:50 EDT
php-markdown-1.0.1p-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2013-03-23 14:17:30 EDT
php-markdown-1.0.1p-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.